function Q = SingleMigrationQ_3Param(distances,mu,delta, theta)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Pagendam and Ross, 2011, Optimal GPS tracking for estimating species
%movements
%CODE for forming CTMC Q-matrix for a single individual in a metapopulation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%EXAMPLE for entering data
%distances = [0 3 4 5; 3 0 1 6; 4 1 0 4; 5 6 4 0];
%mu = 2;
%delta = 0.1;
%theta = 1/2;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Check that distances is a symmetric matrix
test = sum(distances - distances');
if(test ~= 0)
		warning('distance matrix is not symmetric!')
end

N = length(distances);
Q = zeros(N,N);

for i = 1:N
    for j = 1:N
        if(i ~= j)
            Q(i,j) = mu*exp(-1*delta*(distances(i,j))^theta);
        end
    end
    Q(i,i) = -1*sum(Q(i,:));
end